package com.lightinit.hsdataplatformresdir.dictionary;

import java.util.LinkedHashMap;

public class DicBuyTimesLimit {
    public static final String UNLIMITED = "无限制";
    public static final String  UNLIMITED_ONE="限制一次";

    private static DicBuyTimesLimit instance=null;
    private static LinkedHashMap<String,String> dicMap=null;
    private DicBuyTimesLimit(){
        dicMap=new LinkedHashMap<String, String>();
        dicMap.put(UNLIMITED, UNLIMITED);
        dicMap.put(UNLIMITED_ONE,UNLIMITED_ONE);
    }
    public static DicBuyTimesLimit getInstance(){
        if(instance==null){
            return new DicBuyTimesLimit();
        }
        return instance;
    }
    public LinkedHashMap<String,String> getDicMap(){
        return (LinkedHashMap<String, String>) dicMap.clone();
    }
}

